Skip to main content
GET
/
v1
/
voice-agents
/
knowledge-base
/
{id}
Get Knowledge Base Item by ID.
curl --request GET \
  --url https://api.tryhamsa.com/v1/voice-agents/knowledge-base/{id} \
  --header 'Authorization: <api-key>'
{
  "success": true,
  "message": "Success",
  "data": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "userId": "550e8400-e29b-41d4-a716-446655440000",
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "itemName": "Product Documentation",
    "fileSize": "2.5MB",
    "type": "TEXT",
    "status": "PROCESSED",
    "failureReason": "File format not supported",
    "content": "This is the content of the knowledge base item...",
    "itemUrl": "https://example.com/document.pdf",
    "itemUrls": [
      "https://example.com/document.pdf"
    ],
    "wordsNumber": 1298,
    "extension": 1298,
    "createdAt": "2024-01-15T10:30:00Z",
    "isActive": true,
    "used": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '

Path Parameters

id
string<uuid>
required

UUID of the knowledge base item to retrieve.

Example:

"d949f13f-40d2-4e48-ac86-b66633070603"

Response

Successful response

success
boolean
Example:

true

message
string
Example:

"Success"

data
object